MULTISPEECH(1)

NAME
multispeech - Multilingual speech server

SYNOPSIS
multispeech [options]

DESCRIPTION
Multispeech was primarily designed as a multilingual speech server for emacspeak, but it can be useful in some other circumstances as well, when multilingual speech feedback is needed. Multispeech produces audible speech, sounds and tone signals according to the commands passed by it's client. It utilizes third party speech synthesis software to perform actual TTS transformation.

All aspects of multispeech behaviour are highly customizable via configuration files /etc/multispeech.conf and ~/.multispeechrc. See the multispeech.conf(5) man page for syntax information. The user settings provided by ~/.multispeechrc always take precedence over the system-wide ones from /etc/multispeech.conf. And all these settings in turn can be overridden by an extra configuration file specified via the command line. Some configuration options are mandatory, so at least one of these files must exist.

In case of errors or other important situations multispeech sends messages to syslog using facility user.

OPTIONS
Multispeech accepts the following options:

-c, --config file
    Read configuration from specified file.

-v, --verbose
    Print diagnostic messages on stderr. All diagnostic is logged via syslog and nothing is output on stderr or stdout by default.

-d, --debug
    Allow some extra diagnostic info to be logged.

-l, --list-devices
    Print list of all available audio output devices and exit.

-h, --help
    Show summary of options and exit.

-V, --version
    Show program version and exit.

FILES

/etc/multispeech.conf
    provides system-wide configuration.

~/.multispeechrc
    provides user configuration.

SEE ALSO
espeak(1), freephone(1), mbrola(1), multispeech.conf(5), ru_tts(1), syslog.conf(5).

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.